#version 300 es

/* >> Cakefoot by https://foam.shampoo.ooo/ << */

/* The precision declaration is required by OpenGL ES */
precision mediump float;

in vec3 vertex_position;
in vec4 vertex_color;
in vec2 vertex_uv;

uniform mat4 mvp;
uniform float time;

out vec4 ex_color;
out vec2 fragment_uv;

void main()
{
    gl_Position = vec4(vertex_position, 1);
    gl_Position = mvp * gl_Position;

    /* passing to fragment program */
    ex_color = vertex_color;
    fragment_uv = vertex_uv;
}
